usprintf(3)

NAME
usprintf

SYNOPSIS
#include <allegro.h>

int usprintf(char *buf, const char *format, ...);

DESCRIPTION
This function writes formatted data into the output buffer. A NULL character is written to mark the end of the string. You should try to avoid this function because it is very easy to overflow the destination buffer. Use uszprintf instead.

RETURN VALUE
Returns the number of characters written, not including the terminating null character.

SEE ALSO
uconvert(3), uszprintf(3), uvsprintf(3), exkeys(3)